### Method

# EDataServerUI CertificateWidget set_der

since: 3.46

#### Declaration [src]

    void
    e_certificate_widget_set_der (
      ECertificateWidget* self,
      gconstpointer der_data,
      guint der_data_len
    )

#### Description [src]

Updates the content of the `self` with the certificate information described by the `der_data` of the length `der_data_len` in the DER format.

The content of the `self` is cleared when the `der_data` is `NULL`.

Available since: 3.46

#### Parameters

`der_data`

  Type: `gconstpointer`

  Certificate data in DER format, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`der_data_len`

  Type: `guint`

  Length of the `der_data`.